##### 7.5.5.0. intRoots

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  isInt(L); L a list

Return:
  list

Purpose:
  extracts integer roots from a list given in `bFactor` format

Assume:
  The input list must be given in the format of `bFactor`.

Note:
  Parameters are treated as integers.

Example:

    LIB "dmodapp.lib";
    ring r = 0,x,dp;
    list L = bFactor((x-4/3)*(x+3)^2*(x-5)^4); L;
    ==> [1]:
    ==>    _[1]=5
    ==>    _[2]=4/3
    ==>    _[3]=-3
    ==> [2]:
    ==>    4,1,2
    intRoots(L);
    ==> [1]:
    ==>    _[1]=5
    ==>    _[2]=-3
    ==> [2]:
    ==>    4,2

See also: bFactor.

User manual for Singular version 4.4.1, 2025, generated by texi2html.